---
title: Validate SQL
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Pipelines](https://developers.cloudflare.com/api/typescript/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Validate SQL

client.pipelines.validateSql(PipelineValidateSqlParams {account\_id, sql } params, RequestOptionsoptions?): [PipelineValidateSqlResponse](<https://developers.cloudflare.com/api/typescript/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)>) {tables, graph }

POST/accounts/{account\_id}/pipelines/v1/validate\_sql

Validates that the Pipelines SQL is correct.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write`

##### ParametersExpand Collapse

<details>

<summary>

params: PipelineValidateSqlParams {account\_id, sql }

</summary>

account\_id: string

Path param: Specifies the public ID of the account.

<a href="#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

sql: string

Body param: Specifies SQL to validate.

<a href="#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default%20%3E%20(param)%20sql">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

PipelineValidateSqlResponse {tables, graph }

</summary>

<details>

<summary>

tables: Record&lt;string, Tables&gt;

Indicates tables involved in the processing.

</summary>

id: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

name: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

type: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

version: number

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables">Link to this property</a>

<details>

<summary>

graph?: Graph {edges, nodes }

Indicates the processing flow to implement the SQL.

</summary>

<details>

<summary>

edges: Array&lt;Edge&gt;

</summary>

dest\_id: number

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20dest_id">Link to this property</a>

edge\_type: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20edge_type">Link to this property</a>

key\_type: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20key_type">Link to this property</a>

src\_id: number

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20src_id">Link to this property</a>

value\_type: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20value_type">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges">Link to this property</a>

<details>

<summary>

nodes: Array&lt;Node&gt;

</summary>

description: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

node\_id: number

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20node_id">Link to this property</a>

operator: string

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20operator">Link to this property</a>

parallelism: number

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20parallelism">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)>)

### Validate SQL

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.pipelines.validateSql({
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
  sql: 'insert into sink select * from source;',
});

console.log(response.tables);
```

200 example

```
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
```